[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdActns' (#lcl)

# TFileOpen.GetDialogClass

Gets the class reference used to create the Dialog for the action.

## Declaration

Source position: stdactns.pas line 165

`protected function TFileOpen.GetDialogClass: TCommonDialogClass; override;`

## Function result

TCommonDialogClass reference used to create the Dialog.

## See also

TFileOpen.Dialog |  | The Open Dialog to be used with this action.
TCommonDialogClass |  | Class reference for the TCommonDialog type.
TCommonDialogAction.GetDialogClass |  | Returns the class type for the dialog associated with this action.